

			FTP Service brought to you by the
		Experimental Computing Facility, U.C. Berkeley

	If you have questions, complaints, comments, or "bug fixes",
	please mail to 'ftp@scam.berkeley.edu'.

	If you have something that we might like to distribute from
	here, or you would like to have something distributed for you,
	mail to 'ftp@scam.berkeley.edu'.  Note that 'pub/' is writable.

	'scam.berkeley.edu' is a Sun 3/180, internet address = 128.32.132.43

			    ---- NEW FEATURE ----

	'.tar' and '.Z' files will be created automatically from the
	original files if the '.tar' or '.Z' version does not exist.
	This goes for '.tar.Z' also.  For example if you want the xtdemo
	directory, you can 'get xtdemo.tar' or 'get xtdemo.tar.Z' and
	the directory will be automaticly tar'ed (and compressed) for you.
	No a.out, SCCS, core, or *.o files will be included in tar archives.

------------------------------------------------------------
SUMMARY OF AVAILABLE ITEMS
------------------------------------------------------------

	src/	Program and package source

		src/utils/	common utilities for handling source

compress.tar		for uncompressing '.Z' files, version 4.0
patch.tar		Patch, version 2.0, patch level 11
cshar			for creating '.shar' files
pdtar			Public domain tar
unshar*			smart program for unbinding '.shar' files (VAPOR)

----

		src/local/	Local source

di.tar			di ('defined in') -- database tool for C declarations
go.shar.Z		Computer moderated game of Go,
			curses or X10.  --warning: TEST!
less.tar.Z		less, the "more" replacement, with local changes
mazewar.shar		Modified mazewar for X (originally from net.sources)
pb.tar			Source of campus phone book query program
pb.binaries/		Binaries of above if you don't want to deal with source
	pb.vax			Suitable for VAX 4.3, Ultrix
	pb.sun3			For Sun 3
	pb.l			Man page

sgmp.tar		Berkeley SGMP code -- warning: ALPHA TEST
xaqua.tar		Aquarium background for X10 (orig for HPUX, now 4BSD)
xtrek.v4.1.tar{,.Z}	xtrek 4.0 source
xback			X background display program with backgrounds
xtdemo/			X11 toolkit demo programs (including a multiwidget demo)

----

		src/x/	This directory is our local copy of X version 11r3.

mit-dist/		Original MIT core distribution
local/			Locally modified or developed x11 programs
purdue-server/		Server directory for Purdue-modified server
purdue-fixes/		Purdue speedups.
mit-contrib/		Parts of the contributed source distributed by MIT
mit-fixes/		Official patches from MIT

----

		src/gnu/	GNU software

edist-18.52		Recent version of gnu-emacs
make-3.27		Recent version of gnu-make
gcc-1.33		Recent version of gnu-cc.
ghostscript		GNU Postscript interpreter.
bison			GNU Yacc replacement.

----
		src/misc/	Miscellaneous

perl.tar.Z		Source to Larry Wall's perl (awk/sed replacement)
xlisp20.tar		XLisp v2.0: object oriented extension to lisp
xpreview  		troff previewer under X

----


	misc/	Non-source items

virus.fix  		Several security fixes
netmap*			Network maps for U.C. Berkeley and (some) surroundings.
domain.ps		Internet domain name tree.  In postscript
barrnet.ps		Bay Area Regional Network (BARRNet) map in postscript.
hawking*		Text of Hawking's lectures at Berkeley
feynman			Feynman appendix to the report on the
			Challenger disaster.
BattleZone.info		Information on BattleZone, an indoor paintball game.
diablo_field.instructions	How to get to the Mt. Diablo (Venture Games)
			paintball field.

----
		tmp/

	For informal use, index not supported.

--------------------

Significant files to watch in the anonymous ftp root directory:

	README		(this file)
	SEE_ALSO	References to other useful ftp sites.
	UPDATE.*	Summary of updates, organized by date.  The
			'*' should reflect the last date this file was
			modified.

------------------------------------------------------------

NOTE:	Files ending in '.tar' need to be un-archived with the tar(1) command.
	The usual incantation is 'tar xf foobar.tar'.

	Files ending in '.shar' should be sent through /bin/sh.

	Files ending in '.Z' have been compressed with the "standard"
	compress program, for a copy see "src/utils/compress".
